using UnityEngine;
using Shapes;

public class TitleDisplay : MonoBehaviour
{
	private bool display = true;

	void Update()
	{
		if (EnergyTracker.totalEnergy > 35f)
		{
			display = false;
		}
	}

	public void ImmediateDraw()
	{
		if (!display)
			return;

		Vector3 pos = new Vector3(0, 12f);
		string msg = "A Drag on Chaos";
		Draw.Text(pos, msg, fontSize: 14, Color.white);

		Vector3 pos2 = new Vector3(4, 10f);
		string msg2 = "by pkenney";
		Draw.Text(pos2, msg2, TextAlign.TopLeft, fontSize: 8, Color.white);

	}

}